f3935faf8afab8ebfe48042eb69efebca1dea13e
[xmldoc.git] / test / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = test
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92         $(ACLOCAL_M4)
93 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
94 mkinstalldirs = $(install_sh) -d
95 CONFIG_CLEAN_FILES =
96 CONFIG_CLEAN_VPATH_FILES =
97 AM_V_P = $(am__v_P_@AM_V@)
98 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
99 am__v_P_0 = false
100 am__v_P_1 = :
101 AM_V_GEN = $(am__v_GEN_@AM_V@)
102 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
103 am__v_GEN_0 = @echo "  GEN     " $@;
104 am__v_GEN_1 = 
105 AM_V_at = $(am__v_at_@AM_V@)
106 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
107 am__v_at_0 = @
108 am__v_at_1 = 
109 SOURCES =
110 DIST_SOURCES =
111 am__can_run_installinfo = \
112   case $$AM_UPDATE_INFO_DIR in \
113     n|no|NO) false;; \
114     *) (install-info --version) >/dev/null 2>&1;; \
115   esac
116 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
117 am__tty_colors_dummy = \
118   mgn= red= grn= lgn= blu= brg= std=; \
119   am__color_tests=no
120 am__tty_colors = { \
121   $(am__tty_colors_dummy); \
122   if test "X$(AM_COLOR_TESTS)" = Xno; then \
123     am__color_tests=no; \
124   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
125     am__color_tests=yes; \
126   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
127     am__color_tests=yes; \
128   fi; \
129   if test $$am__color_tests = yes; then \
130     red='\e[0;31m'; \
131     grn='\e[0;32m'; \
132     lgn='\e[1;32m'; \
133     blu='\e[1;34m'; \
134     mgn='\e[0;35m'; \
135     brg='\e[1m'; \
136     std='\e[m'; \
137   fi; \
138 }
139 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
140 am__vpath_adj = case $$p in \
141     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
142     *) f=$$p;; \
143   esac;
144 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
145 am__install_max = 40
146 am__nobase_strip_setup = \
147   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
148 am__nobase_strip = \
149   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
150 am__nobase_list = $(am__nobase_strip_setup); \
151   for p in $$list; do echo "$$p $$p"; done | \
152   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
153   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
154     if (++n[$$2] == $(am__install_max)) \
155       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
156     END { for (dir in files) print dir, files[dir] }'
157 am__base_list = \
158   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
159   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
160 am__uninstall_files_from_dir = { \
161   test -z "$$files" \
162     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
163     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
164          $(am__cd) "$$dir" && rm -f $$files; }; \
165   }
166 am__recheck_rx = ^[     ]*:recheck:[    ]*
167 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
168 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
169 # A command that, given a newline-separated list of test names on the
170 # standard input, print the name of the tests that are to be re-run
171 # upon "make recheck".
172 am__list_recheck_tests = $(AWK) '{ \
173   recheck = 1; \
174   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
175     { \
176       if (rc < 0) \
177         { \
178           if ((getline line2 < ($$0 ".log")) < 0) \
179             recheck = 0; \
180           break; \
181         } \
182       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
183         { \
184           recheck = 0; \
185           break; \
186         } \
187       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
188         { \
189           break; \
190         } \
191     }; \
192   if (recheck) \
193     print $$0; \
194   close ($$0 ".trs"); \
195   close ($$0 ".log"); \
196 }'
197 # A command that, given a newline-separated list of test names on the
198 # standard input, create the global log from their .trs and .log files.
199 am__create_global_log = $(AWK) ' \
200 function fatal(msg) \
201 { \
202   print "fatal: making $@: " msg | "cat >&2"; \
203   exit 1; \
204 } \
205 function rst_section(header) \
206 { \
207   print header; \
208   len = length(header); \
209   for (i = 1; i <= len; i = i + 1) \
210     printf "="; \
211   printf "\n\n"; \
212 } \
213 { \
214   copy_in_global_log = 1; \
215   global_test_result = "RUN"; \
216   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
217     { \
218       if (rc < 0) \
219          fatal("failed to read from " $$0 ".trs"); \
220       if (line ~ /$(am__global_test_result_rx)/) \
221         { \
222           sub("$(am__global_test_result_rx)", "", line); \
223           sub("[        ]*$$", "", line); \
224           global_test_result = line; \
225         } \
226       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
227         copy_in_global_log = 0; \
228     }; \
229   if (copy_in_global_log) \
230     { \
231       rst_section(global_test_result ": " $$0); \
232       while ((rc = (getline line < ($$0 ".log"))) != 0) \
233       { \
234         if (rc < 0) \
235           fatal("failed to read from " $$0 ".log"); \
236         print line; \
237       }; \
238       printf "\n"; \
239     }; \
240   close ($$0 ".trs"); \
241   close ($$0 ".log"); \
242 }'
243 # Restructured Text title.
244 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
245 # Solaris 10 'make', and several other traditional 'make' implementations,
246 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
247 # by disabling -e (using the XSI extension "set +e") if it's set.
248 am__sh_e_setup = case $$- in *e*) set +e;; esac
249 # Default flags passed to test drivers.
250 am__common_driver_flags = \
251   --color-tests "$$am__color_tests" \
252   --enable-hard-errors "$$am__enable_hard_errors" \
253   --expect-failure "$$am__expect_failure"
254 # To be inserted before the command running the test.  Creates the
255 # directory for the log if needed.  Stores in $dir the directory
256 # containing $f, in $tst the test, in $log the log.  Executes the
257 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
258 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
259 # will run the test scripts (or their associated LOG_COMPILER, if
260 # thy have one).
261 am__check_pre = \
262 $(am__sh_e_setup);                                      \
263 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
264 $(am__tty_colors);                                      \
265 srcdir=$(srcdir); export srcdir;                        \
266 case "$@" in                                            \
267   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
268     *) am__odir=.;;                                     \
269 esac;                                                   \
270 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
271   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
272 if test -f "./$$f"; then dir=./;                        \
273 elif test -f "$$f"; then dir=;                          \
274 else dir="$(srcdir)/"; fi;                              \
275 tst=$$dir$$f; log='$@';                                 \
276 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
277   am__enable_hard_errors=no;                            \
278 else                                                    \
279   am__enable_hard_errors=yes;                           \
280 fi;                                                     \
281 case " $(XFAIL_TESTS) " in                              \
282   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
283     am__expect_failure=yes;;                            \
284   *)                                                    \
285     am__expect_failure=no;;                             \
286 esac;                                                   \
287 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
288 # A shell command to get the names of the tests scripts with any registered
289 # extension removed (i.e., equivalently, the names of the test logs, with
290 # the '.log' extension removed).  The result is saved in the shell variable
291 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
292 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
293 # since that might cause problem with VPATH rewrites for suffix-less tests.
294 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
295 am__set_TESTS_bases = \
296   bases='$(TEST_LOGS)'; \
297   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
298   bases=`echo $$bases`
299 RECHECK_LOGS = $(TEST_LOGS)
300 AM_RECURSIVE_TARGETS = check recheck
301 TEST_SUITE_LOG = test-suite.log
302 TEST_EXTENSIONS = @EXEEXT@ .test
303 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
304 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
305 am__set_b = \
306   case '$@' in \
307     */*) \
308       case '$*' in \
309         */*) b='$*';; \
310           *) b=`echo '$@' | sed 's/\.log$$//'`; \
311        esac;; \
312     *) \
313       b='$*';; \
314   esac
315 am__test_logs1 = $(TESTS:=.log)
316 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
317 TEST_LOGS = $(am__test_logs2:.test.log=.log)
318 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
319 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
320         $(TEST_LOG_FLAGS)
321 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/test-driver
322 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
323 ACLOCAL = @ACLOCAL@
324 AMTAR = @AMTAR@
325 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
326 AUTOCONF = @AUTOCONF@
327 AUTOHEADER = @AUTOHEADER@
328 AUTOMAKE = @AUTOMAKE@
329 AWK = @AWK@
330 CC = @CC@
331 CCDEPMODE = @CCDEPMODE@
332 CFLAGS = @CFLAGS@
333 CPP = @CPP@
334 CPPFLAGS = @CPPFLAGS@
335 CYGPATH_W = @CYGPATH_W@
336 DEFS = @DEFS@
337 DEPDIR = @DEPDIR@
338 ECHO_C = @ECHO_C@
339 ECHO_N = @ECHO_N@
340 ECHO_T = @ECHO_T@
341 EGREP = @EGREP@
342 EXEEXT = @EXEEXT@
343 GREP = @GREP@
344 INSTALL = @INSTALL@
345 INSTALL_DATA = @INSTALL_DATA@
346 INSTALL_PROGRAM = @INSTALL_PROGRAM@
347 INSTALL_SCRIPT = @INSTALL_SCRIPT@
348 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
349 LDFLAGS = @LDFLAGS@
350 LIBOBJS = @LIBOBJS@
351 LIBS = @LIBS@
352 LTLIBOBJS = @LTLIBOBJS@
353 MAKEINFO = @MAKEINFO@
354 MKDIR_P = @MKDIR_P@
355 OBJEXT = @OBJEXT@
356 PACKAGE = @PACKAGE@
357 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
358 PACKAGE_NAME = @PACKAGE_NAME@
359 PACKAGE_STRING = @PACKAGE_STRING@
360 PACKAGE_TARNAME = @PACKAGE_TARNAME@
361 PACKAGE_URL = @PACKAGE_URL@
362 PACKAGE_VERSION = @PACKAGE_VERSION@
363 PATH_SEPARATOR = @PATH_SEPARATOR@
364 SET_MAKE = @SET_MAKE@
365 SHELL = @SHELL@
366 STRIP = @STRIP@
367 VERSION = @VERSION@
368 XSLT_CONFIG = @XSLT_CONFIG@
369 abs_builddir = @abs_builddir@
370 abs_srcdir = @abs_srcdir@
371 abs_top_builddir = @abs_top_builddir@
372 abs_top_srcdir = @abs_top_srcdir@
373 ac_ct_CC = @ac_ct_CC@
374 am__include = @am__include@
375 am__leading_dot = @am__leading_dot@
376 am__quote = @am__quote@
377 am__tar = @am__tar@
378 am__untar = @am__untar@
379 bindir = @bindir@
380 build_alias = @build_alias@
381 builddir = @builddir@
382 datadir = @datadir@
383 datarootdir = @datarootdir@
384 docdir = @docdir@
385 dvidir = @dvidir@
386 exec_prefix = @exec_prefix@
387 host_alias = @host_alias@
388 htmldir = @htmldir@
389 includedir = @includedir@
390 infodir = @infodir@
391 install_sh = @install_sh@
392 libdir = @libdir@
393 libexecdir = @libexecdir@
394 localedir = @localedir@
395 localstatedir = @localstatedir@
396 mandir = @mandir@
397 mkdir_p = @mkdir_p@
398 oldincludedir = @oldincludedir@
399 pdfdir = @pdfdir@
400 prefix = @prefix@
401 program_transform_name = @program_transform_name@
402 psdir = @psdir@
403 runstatedir = @runstatedir@
404 sbindir = @sbindir@
405 sharedstatedir = @sharedstatedir@
406 srcdir = @srcdir@
407 sysconfdir = @sysconfdir@
408 target_alias = @target_alias@
409 top_build_prefix = @top_build_prefix@
410 top_builddir = @top_builddir@
411 top_srcdir = @top_srcdir@
412 TESTS = basic title titlepage sections toc paragraph
413 all: all-am
414
415 .SUFFIXES:
416 .SUFFIXES: .log .test .test$(EXEEXT) .trs
417 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
418         @for dep in $?; do \
419           case '$(am__configure_deps)' in \
420             *$$dep*) \
421               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
422                 && { if test -f $@; then exit 0; else break; fi; }; \
423               exit 1;; \
424           esac; \
425         done; \
426         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
427         $(am__cd) $(top_srcdir) && \
428           $(AUTOMAKE) --foreign test/Makefile
429 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
430         @case '$?' in \
431           *config.status*) \
432             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
433           *) \
434             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
435             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
436         esac;
437
438 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
439         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
440
441 $(top_srcdir)/configure:  $(am__configure_deps)
442         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
443 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
444         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
445 $(am__aclocal_m4_deps):
446 tags TAGS:
447
448 ctags CTAGS:
449
450 cscope cscopelist:
451
452
453 # Recover from deleted '.trs' file; this should ensure that
454 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
455 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
456 # to avoid problems with "make -n".
457 .log.trs:
458         rm -f $< $@
459         $(MAKE) $(AM_MAKEFLAGS) $<
460
461 # Leading 'am--fnord' is there to ensure the list of targets does not
462 # expand to empty, as could happen e.g. with make check TESTS=''.
463 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
464 am--force-recheck:
465         @:
466
467 $(TEST_SUITE_LOG): $(TEST_LOGS)
468         @$(am__set_TESTS_bases); \
469         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
470         redo_bases=`for i in $$bases; do \
471                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
472                     done`; \
473         if test -n "$$redo_bases"; then \
474           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
475           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
476           if $(am__make_dryrun); then :; else \
477             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
478           fi; \
479         fi; \
480         if test -n "$$am__remaking_logs"; then \
481           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
482                "recursion detected" >&2; \
483         elif test -n "$$redo_logs"; then \
484           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
485         fi; \
486         if $(am__make_dryrun); then :; else \
487           st=0;  \
488           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
489           for i in $$redo_bases; do \
490             test -f $$i.trs && test -r $$i.trs \
491               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
492             test -f $$i.log && test -r $$i.log \
493               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
494           done; \
495           test $$st -eq 0 || exit 1; \
496         fi
497         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
498         ws='[   ]'; \
499         results=`for b in $$bases; do echo $$b.trs; done`; \
500         test -n "$$results" || results=/dev/null; \
501         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
502         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
503         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
504         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
505         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
506         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
507         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
508         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
509           success=true; \
510         else \
511           success=false; \
512         fi; \
513         br='==================='; br=$$br$$br$$br$$br; \
514         result_count () \
515         { \
516             if test x"$$1" = x"--maybe-color"; then \
517               maybe_colorize=yes; \
518             elif test x"$$1" = x"--no-color"; then \
519               maybe_colorize=no; \
520             else \
521               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
522             fi; \
523             shift; \
524             desc=$$1 count=$$2; \
525             if test $$maybe_colorize = yes && test $$count -gt 0; then \
526               color_start=$$3 color_end=$$std; \
527             else \
528               color_start= color_end=; \
529             fi; \
530             echo "$${color_start}# $$desc $$count$${color_end}"; \
531         }; \
532         create_testsuite_report () \
533         { \
534           result_count $$1 "TOTAL:" $$all   "$$brg"; \
535           result_count $$1 "PASS: " $$pass  "$$grn"; \
536           result_count $$1 "SKIP: " $$skip  "$$blu"; \
537           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
538           result_count $$1 "FAIL: " $$fail  "$$red"; \
539           result_count $$1 "XPASS:" $$xpass "$$red"; \
540           result_count $$1 "ERROR:" $$error "$$mgn"; \
541         }; \
542         {                                                               \
543           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
544             $(am__rst_title);                                           \
545           create_testsuite_report --no-color;                           \
546           echo;                                                         \
547           echo ".. contents:: :depth: 2";                               \
548           echo;                                                         \
549           for b in $$bases; do echo $$b; done                           \
550             | $(am__create_global_log);                                 \
551         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
552         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
553         if $$success; then                                              \
554           col="$$grn";                                                  \
555          else                                                           \
556           col="$$red";                                                  \
557           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
558         fi;                                                             \
559         echo "$${col}$$br$${std}";                                      \
560         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
561         echo "$${col}$$br$${std}";                                      \
562         create_testsuite_report --maybe-color;                          \
563         echo "$$col$$br$$std";                                          \
564         if $$success; then :; else                                      \
565           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
566           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
567             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
568           fi;                                                           \
569           echo "$$col$$br$$std";                                        \
570         fi;                                                             \
571         $$success || exit 1
572
573 check-TESTS:
574         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
575         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
576         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
577         @set +e; $(am__set_TESTS_bases); \
578         log_list=`for i in $$bases; do echo $$i.log; done`; \
579         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
580         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
581         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
582         exit $$?;
583 recheck: all 
584         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
585         @set +e; $(am__set_TESTS_bases); \
586         bases=`for i in $$bases; do echo $$i; done \
587                  | $(am__list_recheck_tests)` || exit 1; \
588         log_list=`for i in $$bases; do echo $$i.log; done`; \
589         log_list=`echo $$log_list`; \
590         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
591                 am__force_recheck=am--force-recheck \
592                 TEST_LOGS="$$log_list"; \
593         exit $$?
594 basic.log: basic
595         @p='basic'; \
596         b='basic'; \
597         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
598         --log-file $$b.log --trs-file $$b.trs \
599         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
600         "$$tst" $(AM_TESTS_FD_REDIRECT)
601 title.log: title
602         @p='title'; \
603         b='title'; \
604         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
605         --log-file $$b.log --trs-file $$b.trs \
606         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
607         "$$tst" $(AM_TESTS_FD_REDIRECT)
608 titlepage.log: titlepage
609         @p='titlepage'; \
610         b='titlepage'; \
611         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
612         --log-file $$b.log --trs-file $$b.trs \
613         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
614         "$$tst" $(AM_TESTS_FD_REDIRECT)
615 sections.log: sections
616         @p='sections'; \
617         b='sections'; \
618         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
619         --log-file $$b.log --trs-file $$b.trs \
620         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
621         "$$tst" $(AM_TESTS_FD_REDIRECT)
622 toc.log: toc
623         @p='toc'; \
624         b='toc'; \
625         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
626         --log-file $$b.log --trs-file $$b.trs \
627         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
628         "$$tst" $(AM_TESTS_FD_REDIRECT)
629 paragraph.log: paragraph
630         @p='paragraph'; \
631         b='paragraph'; \
632         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
633         --log-file $$b.log --trs-file $$b.trs \
634         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
635         "$$tst" $(AM_TESTS_FD_REDIRECT)
636 .test.log:
637         @p='$<'; \
638         $(am__set_b); \
639         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
640         --log-file $$b.log --trs-file $$b.trs \
641         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
642         "$$tst" $(AM_TESTS_FD_REDIRECT)
643 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
644 @am__EXEEXT_TRUE@       @p='$<'; \
645 @am__EXEEXT_TRUE@       $(am__set_b); \
646 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
647 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
648 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
649 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
650
651 distdir: $(DISTFILES)
652         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
653         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
654         list='$(DISTFILES)'; \
655           dist_files=`for file in $$list; do echo $$file; done | \
656           sed -e "s|^$$srcdirstrip/||;t" \
657               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
658         case $$dist_files in \
659           */*) $(MKDIR_P) `echo "$$dist_files" | \
660                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
661                            sort -u` ;; \
662         esac; \
663         for file in $$dist_files; do \
664           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
665           if test -d $$d/$$file; then \
666             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
667             if test -d "$(distdir)/$$file"; then \
668               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
669             fi; \
670             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
671               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
672               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
673             fi; \
674             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
675           else \
676             test -f "$(distdir)/$$file" \
677             || cp -p $$d/$$file "$(distdir)/$$file" \
678             || exit 1; \
679           fi; \
680         done
681 check-am: all-am
682         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
683 check: check-am
684 all-am: Makefile
685 installdirs:
686 install: install-am
687 install-exec: install-exec-am
688 install-data: install-data-am
689 uninstall: uninstall-am
690
691 install-am: all-am
692         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
693
694 installcheck: installcheck-am
695 install-strip:
696         if test -z '$(STRIP)'; then \
697           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
698             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
699               install; \
700         else \
701           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
702             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
703             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
704         fi
705 mostlyclean-generic:
706         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
707         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
708         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
709
710 clean-generic:
711
712 distclean-generic:
713         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
714         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
715
716 maintainer-clean-generic:
717         @echo "This command is intended for maintainers to use"
718         @echo "it deletes files that may require special tools to rebuild."
719 clean: clean-am
720
721 clean-am: clean-generic clean-local mostlyclean-am
722
723 distclean: distclean-am
724         -rm -f Makefile
725 distclean-am: clean-am distclean-generic
726
727 dvi: dvi-am
728
729 dvi-am:
730
731 html: html-am
732
733 html-am:
734
735 info: info-am
736
737 info-am:
738
739 install-data-am:
740
741 install-dvi: install-dvi-am
742
743 install-dvi-am:
744
745 install-exec-am:
746
747 install-html: install-html-am
748
749 install-html-am:
750
751 install-info: install-info-am
752
753 install-info-am:
754
755 install-man:
756
757 install-pdf: install-pdf-am
758
759 install-pdf-am:
760
761 install-ps: install-ps-am
762
763 install-ps-am:
764
765 installcheck-am:
766
767 maintainer-clean: maintainer-clean-am
768         -rm -f Makefile
769 maintainer-clean-am: distclean-am maintainer-clean-generic
770
771 mostlyclean: mostlyclean-am
772
773 mostlyclean-am: mostlyclean-generic
774
775 pdf: pdf-am
776
777 pdf-am:
778
779 ps: ps-am
780
781 ps-am:
782
783 uninstall-am:
784
785 .MAKE: check-am install-am install-strip
786
787 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
788         clean-local cscopelist-am ctags-am distclean distclean-generic \
789         distdir dvi dvi-am html html-am info info-am install \
790         install-am install-data install-data-am install-dvi \
791         install-dvi-am install-exec install-exec-am install-html \
792         install-html-am install-info install-info-am install-man \
793         install-pdf install-pdf-am install-ps install-ps-am \
794         install-strip installcheck installcheck-am installdirs \
795         maintainer-clean maintainer-clean-generic mostlyclean \
796         mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
797         uninstall uninstall-am
798
799 .PRECIOUS: Makefile
800
801
802 clean-local:
803         rm -f *.html *.tex *.aux *.dvi *.pdf
804
805 # Tell versions [3.59,3.63) of GNU make to not export all variables.
806 # Otherwise a system limit (for SysV at least) may be exceeded.
807 .NOEXPORT: